Package org.eclipse.emf.spi.cdo

# Enum Class DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy

java.lang.Object
java.lang.Enum<DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy>
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy>`, `Constable`

Enclosing class:
  `DefaultCDOMerger.PerFeature.ManyValued`

public static enum DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy extends Enum<DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy>
Immutable policy for the semantic scope of an effective CLEAR operation.

Since:
  4.30
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLEAR_WINS`
Remove all merged contents, including concurrent occurrences the clearing side could not observe.
`FAIL_ON_CONCURRENT_MUTATION`
Report an observed occurrence's effective concurrent mutation as a merge conflict.
`OBSERVED_REMOVE`
Remove exactly occurrences observed by CLEAR and retain unobserved concurrent additions.

## Method Summary

Modifier and Type
Method
Description
`static DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OBSERVED_REMOVE

public static final DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy OBSERVED_REMOVE
Remove exactly occurrences observed by CLEAR and retain unobserved concurrent additions.

### CLEAR_WINS

public static final DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy CLEAR_WINS
Remove all merged contents, including concurrent occurrences the clearing side could not observe.

### FAIL_ON_CONCURRENT_MUTATION

public static final DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy FAIL_ON_CONCURRENT_MUTATION
Report an observed occurrence's effective concurrent mutation as a merge conflict.

## Method Details

### values

public static DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null